"use strict";
/******************************************************************************
 * This file was generated by langium-cli 1.1.0.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlackDogGeneratedModule = exports.BlackDogGeneratedSharedModule = exports.BlackDogLanguageMetaData = void 0;
const ast_1 = require("./ast");
const grammar_1 = require("./grammar");
exports.BlackDogLanguageMetaData = {
    languageId: 'black-dog',
    fileExtensions: ['.blackdog'],
    caseInsensitive: false
};
exports.BlackDogGeneratedSharedModule = {
    AstReflection: () => new ast_1.BlackDogAstReflection()
};
exports.BlackDogGeneratedModule = {
    Grammar: () => (0, grammar_1.BlackDogGrammar)(),
    LanguageMetaData: () => exports.BlackDogLanguageMetaData,
    parser: {}
};
//# sourceMappingURL=module.js.map